<script>
  export let streetAddress = null;
  export let postalCode = null;
  export let addressLocality = null;
  export let email = null;
  export let telephone = null;
</script>

{#if streetAddress || postalCode || addressLocality}
  <address class="my-2">
    {#if streetAddress}
      <div>{streetAddress}</div>
    {/if}
    {#if postalCode || addressLocality}
      <div>{[postalCode, addressLocality].join(' ')}</div>
    {/if}
  </address>
{/if}

{#if email}
  <div class="my-2">
    <a href="mailto:{email}">{email}</a>
  </div>
{/if}

{#if telephone}
  <div class="my-2">{telephone}</div>
{/if}
